Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata
Class Obligation

    Object
      CodeList<Obligation>
          Obligation

All Implemented Interfaces:
  Serializable, Comparable<Obligation>

    @UML(identifier="MD_ObligationCode",
         specification=ISO_19115)
    public final class Obligation

extends CodeList<Obligation>

Obligation of the element or entity.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static Obligation` | `CONDITIONAL` Element is required when a specific condition is met.
`static Obligation` | `MANDATORY` Element is always required.
`static Obligation` | `OPTIONAL` Element is not required.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static Obligation` | `valueOf(String code)` Returns the Obligation that matches the given string, or returns a new one if none match it.
`static Obligation[]` | `values()` Returns the list of `Obligation`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MANDATORY

    @UML(identifier="mandatory",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Obligation MANDATORY

  Element is always required.

### OPTIONAL

    @UML(identifier="optional",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Obligation OPTIONAL

  Element is not required.

### CONDITIONAL

    @UML(identifier="conditional",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Obligation CONDITIONAL

  Element is required when a specific condition is met.

Method Detail

### values

    public static Obligation[] values()

  Returns the list of `Obligation`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<Obligation>`

### valueOf

    public static Obligation valueOf(String code)

  Returns the Obligation that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.